explain_chdir_or_die(3)

NAME
explain_chdir_or_die - change working directory and report errors

SYNOPSIS
#include <libexplain/chdir.h>

void explain_chdir_or_die(const char * pathname);

DESCRIPTION
The explain_chdir_or_die function is used to call the chdir(2) system call. On failure an explanation will be printed to stderr, obtained from explain_chdir(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_chdir_or_die(pathname);

pathname
    The pathname, exactly as to be passed to the chdir(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller